Resource

User On-Call Log Timeline

Timeline events for user on-call log.

The User On-Call Log Timeline Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    user
    Type
    User
    Description

    Relation to User who this log belongs to

  • Name
    userId
    Type
    Object ID
    Description

    User ID who this log belongs to

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    userOnCallLog
    Type
    User Notification Log
    Description

    Relation to User Notification Log Resource in which this object belongs

  • Name
    userNotificationLogId
    Type
    Object IDRequired
    Description

    ID of your User Notification Log in which this object belongs

  • Name
    userNotificationRule
    Type
    Entity
    Description

    Relation to User Notification Rule Resource in which this object belongs

  • Name
    userNotificationRuleId
    Type
    Object IDRequired
    Description

    ID of your User Notification Rule in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to on-call duty policy Resource in which this object belongs

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    ID of your on-call duty policy in which this object belongs

  • Name
    triggeredByIncident
    Type
    Incident
    Description

    Relation to Incident Resource in which this object belongs

  • Name
    triggeredByIncidentId
    Type
    Object ID
    Description

    ID of your Incident in which this object belongs

  • Name
    triggeredByAlert
    Type
    Alert
    Description

    Relation to Alert Resource in which this object belongs

  • Name
    triggeredByAlertId
    Type
    Object ID
    Description

    ID of your Alert in which this object belongs

  • Name
    triggeredByAlertEpisode
    Type
    Alert Episode
    Description

    Relation to Alert Episode Resource in which this object belongs

  • Name
    triggeredByAlertEpisodeId
    Type
    Object ID
    Description

    ID of your Alert Episode in which this object belongs

  • Name
    triggeredByIncidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode Resource in which this object belongs

  • Name
    triggeredByIncidentEpisodeId
    Type
    Object ID
    Description

    ID of your Incident Episode in which this object belongs

  • Name
    onCallDutyPolicyExecutionLog
    Type
    On-Call Duty Execution Log
    Description

    Relation to On-Call Policy Execution Log where this timeline event belongs.

  • Name
    onCallDutyPolicyExecutionLogId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Execution Log Timeline where this timeline event belongs.

  • Name
    onCallDutyPolicyExecutionLogTimeline
    Type
    On-Call Duty Execution Log Timeline
    Description

    Relation to On-Call Policy Execution Log Timeline where this timeline event belongs.

  • Name
    onCallDutyPolicyExecutionLogTimelineId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Execution Log where this timeline event belongs.

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    Relation to On-Call Policy Escalation Rule where this timeline event belongs.

  • Name
    userNotificationEventType
    Type
    TextRequired
    Description

    Notification Event Type of this execution

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Escalation Rule where this timeline event belongs.

  • Name
    userBelongsToTeam
    Type
    Team
    Description

    Which team did the user belong to when the alert was sent?

  • Name
    userBelongsToTeamId
    Type
    Object ID
    Description

    Which team did the user belong to when the alert was sent?

  • Name
    statusMessage
    Type
    Long TextRequired
    Description

    Status message of this execution timeline event

  • Name
    status
    Type
    TextRequired
    Description

    Status of this execution timeline event

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isAcknowledged
    Type
    Boolean
    Description

  • Name
    acknowledgedAt
    Type
    Date
    Description

  • Name
    userCall
    Type
    Entity
    Description

    Relation to User Call Resource in which this object belongs

  • Name
    userCallId
    Type
    Object ID
    Description

    ID of User Call in which this object belongs

  • Name
    userSms
    Type
    Entity
    Description

    Relation to User SMS Resource in which this object belongs

  • Name
    userSmsId
    Type
    Object ID
    Description

    ID of User SMS in which this object belongs

  • Name
    userWhatsApp
    Type
    Entity
    Description

    Relation to User WhatsApp Resource in which this object belongs

  • Name
    userWhatsAppId
    Type
    Object ID
    Description

    ID of User WhatsApp in which this object belongs

  • Name
    userEmail
    Type
    Entity
    Description

    Relation to User Email Resource in which this object belongs

  • Name
    userEmailId
    Type
    Object ID
    Description

    ID of User Email in which this object belongs

  • Name
    userPush
    Type
    Entity
    Description

    Relation to User Push Resource in which this object belongs

  • Name
    userPushId
    Type
    Object ID
    Description

    ID of User Push in which this object belongs

GETorPOST/api/user-notification-log-timeline/get-list

List

This endpoint allows you to retrieve a paginated list of all your User On-Call Log Timeline. By default, a maximum of ten User On-Call Log Timeline are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/user-notification-log-timeline/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyExecutionLogId": true,
    "onCallDutyPolicyExecutionLogTimelineId": true,
    "onCallDutyPolicyId": true,
    "projectId": true
  },
  "query": {
    "status": "Example status"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377f4d50-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogTimelineId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "377f4d51-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogTimelineId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "377f4d52-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogTimelineId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/user-notification-log-timeline/:id/get-item

Get item by ID

This endpoint allows you to retrieve User On-Call Log Timeline by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/user-notification-log-timeline/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyExecutionLogId": true,
    "onCallDutyPolicyExecutionLogTimelineId": true,
    "onCallDutyPolicyId": true,
    "projectId": true
  }
}

Response

{
  "_id": "377f4d50-28fe-11f1-b591-3fdcef396aba",
  "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyExecutionLogTimelineId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/user-notification-log-timeline/count

Count

This endpoint allows you to retrieve the count of all your User On-Call Log Timeline.

Optional Request Body

Count Request

POST
/api/user-notification-log-timeline/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Example status"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read User On-Call Log Timeline

  • Logged in User

Create Permissions

Required to create User On-Call Log Timeline

This resource cannot be created via the API

Update Permissions

Required to update User On-Call Log Timeline

This resource cannot be updated via the API

Delete Permissions

Required to delete User On-Call Log Timeline

This resource cannot be deleted via the API